Bug 97580 - NAS 1.7c build error on AMD64
Summary: NAS 1.7c build error on AMD64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Erwin Lansing
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-21 22:50 UTC by O. Hartmann
Modified: 2006-06-04 21:27 UTC (History)
0 users

See Also:


Attachments
nas.diff (467 bytes, patch)
2006-05-28 20:29 UTC, Andrey Slusar
no flags Details | Diff
file.dat (71 bytes, text/plain; charset=iso-8859-1)
2006-05-28 20:29 UTC, Andrey Slusar
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description O. Hartmann 2006-05-21 22:50:16 UTC
	Compiling NAS 1.7c from the ports results in a failure of the compiling
	with the following error:

	making all in clients/audio/aupanel...
	cc -O2 -fno-strict-aliasing -pipe -march=athlon64 -Werror
	-march=athlon64     -I../../../clients/audio/widgets -I../../../include
	-I/usr/X11R6/include    -DCSRG_BASED  -DFUNCPROTO=15 -DNARROWPROTO
	-c aupanel.c
	aupanel.c: In function `muteCB':
	aupanel.c:370: warning: cast to pointer from integer of different size
	*** Error code 1

	Stop in /usr/ports/audio/nas/work/nas-1.7c/clients/audio/aupanel.
	*** Error code 1

	Stop in /usr/ports/audio/nas/work/nas-1.7c/clients/audio.
	*** Error code 1

	Stop in /usr/ports/audio/nas/work/nas-1.7c/clients.
	*** Error code 1

	Stop in /usr/ports/audio/nas/work/nas-1.7c.
	*** Error code 1

	Stop in /usr/ports/audio/nas.

Fix: 

unknown
How-To-Repeat: 	Try to build NAS 1.7c on /FreeBSD 6.1-STABLEAMD64
Comment 1 Andrey Slusar freebsd_committer 2006-05-28 20:29:59 UTC
Try this patch:
Comment 2 Erwin Lansing freebsd_committer 2006-06-04 18:47:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->erwin

I'll handle this.
Comment 3 Erwin Lansing freebsd_committer 2006-06-04 21:27:06 UTC
State Changed
From-To: open->closed

Committed, thanks!